package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrLightingMapper;
import com.ruoyi.project.pssr.domain.TPssrLighting;
import com.ruoyi.project.pssr.service.ITPssrLightingService;

/**
 * 照明Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrLightingServiceImpl implements ITPssrLightingService
{
    @Autowired
    private TPssrLightingMapper tPssrLightingMapper;

    /**
     * 查询照明
     *
     * @param id 照明ID
     * @return 照明
     */
    @Override
    public TPssrLighting selectTPssrLightingById(Long id)
    {
        return tPssrLightingMapper.selectTPssrLightingById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrLightingMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询照明列表
     *
     * @param tPssrLighting 照明
     * @return 照明
     */
    @Override
    public List<TPssrLighting> selectTPssrLightingList(TPssrLighting tPssrLighting)
    {
        return tPssrLightingMapper.selectTPssrLightingList(tPssrLighting);
    }

    /**
     * 新增照明
     *
     * @param tPssrLighting 照明
     * @return 结果
     */
    @Override
    public int insertTPssrLighting(TPssrLighting tPssrLighting)
    {
        return tPssrLightingMapper.insertTPssrLighting(tPssrLighting);
    }

    /**
     * 修改照明
     *
     * @param tPssrLighting 照明
     * @return 结果
     */
    @Override
    public int updateTPssrLighting(TPssrLighting tPssrLighting)
    {
        return tPssrLightingMapper.updateTPssrLighting(tPssrLighting);
    }

    /**
     * 批量删除照明
     *
     * @param ids 需要删除的照明ID
     * @return 结果
     */
    @Override
    public int deleteTPssrLightingByIds(Long[] ids)
    {
        return tPssrLightingMapper.deleteTPssrLightingByIds(ids);
    }

    /**
     * 删除照明信息
     *
     * @param id 照明ID
     * @return 结果
     */
    @Override
    public int deleteTPssrLightingById(Long id)
    {
        return tPssrLightingMapper.deleteTPssrLightingById(id);
    }
}
